Authorization server metadata of the remote MCP server
GET
/.well-known/oauth-authorization-server
const url = 'https://beta-api.plune.ai/.well-known/oauth-authorization-server';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://beta-api.plune.ai/.well-known/oauth-authorization-serverRFC 8414. issuer is the origin this document is served from. PKCE with S256 only; public clients only (none); a client is either the HTTPS address of its metadata document (client_id_metadata_document_supported) or registers itself at registration_endpoint. Public, constant. Mounted only where the remote MCP server is switched on (MCP_PUBLIC_URL); elsewhere 404.
Responses
Section titled “ Responses ”The document
Media type application/json
object
issuer
required
string
authorization_endpoint
required
string
token_endpoint
required
string
registration_endpoint
string
response_types_supported
Array<string>
grant_types_supported
Array<string>
code_challenge_methods_supported
required
Array<string>
token_endpoint_auth_methods_supported
Array<string>
scopes_supported
Array<string>
client_id_metadata_document_supported
boolean
Example
{ "issuer": "https://mcp.plune.ai", "authorization_endpoint": "https://mcp.plune.ai/oauth/authorize", "token_endpoint": "https://mcp.plune.ai/oauth/token", "registration_endpoint": "https://mcp.plune.ai/oauth/register", "response_types_supported": [ "code" ], "grant_types_supported": [ "authorization_code", "refresh_token" ], "code_challenge_methods_supported": [ "S256" ], "token_endpoint_auth_methods_supported": [ "none" ], "scopes_supported": [ "read", "write" ], "client_id_metadata_document_supported": true}